#include <stdio.h>
#include <stdlib.h>

int main()
{
    int p, q, r, i, N, T, a, b, c;
    long long int L, R, szam=0;
    scanf("%d %d %d %lld %lld", &p, &q, &r, &L, &R);


    for(i=L;i<=R;i++)
    {
       a=i/r;
       b=i/p;
       c=i/q;

       if(i%r>0)
        a++;
       if(i%p>0)
        b++;
       if(i%q>0)
        c++;

       T=a+b+c;
       if(T<=i)
        szam++;



    }

   printf("%lld", szam);



    return 0;
}